/**
 * Render - Inline
 */
import type { RenderItem, RenderInlineItemArgs } from './renderTypes';
/**
 * Function - convenience wrapper for render content
 *
 * @param {import('./renderTypes').RenderItem[]} items
 * @return {Promise<string>}
 */
declare const renderInlineContent: (items: RenderItem[]) => Promise<string>;
/**
 * Function - convenience wrapper for render item
 *
 * @param {import('./renderTypes').RenderInlineItemArgs} args
 * @return {Promise<string>}
 */
declare const renderInlineItem: (args: RenderInlineItemArgs) => Promise<string>;
export { renderInlineContent, renderInlineItem };
