/**
 * Utils - Get Json
 */
/**
 * Function - check and return valid JSON or fallback
 *
 * @param {string} value
 * @return {object|undefined}
 */
declare const getJson: <T>(value: string) => (object & T) | undefined;
/**
 * Function - import json file and return contents if object
 *
 * @param {string} path
 * @return {Promise<object|undefined>}
 */
declare const getJsonFile: <T>(path: string) => Promise<(object & T) | undefined>;
export { getJson, getJsonFile };
