"use strict";
/**
 * Utils - Get Link
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLink = void 0;
const getPermalink_1 = require("../getPermalink/getPermalink");
const getSlug_1 = require("../getSlug/getSlug");
const isObject_1 = require("../isObject/isObject");
const isString_1 = require("../isString/isString");
/**
 * Function - get permalink from external or internal source
 *
 * @param {import('../../global/globalTypes').InternalLink} [internalLink]
 * @param {string} [externalLink]
 * @return {string}
 */
const getLink = (internalLink, externalLink) => {
    if ((0, isObject_1.isObjectStrict)(internalLink)) {
        const slug = internalLink.slug;
        const res = (0, getSlug_1.getSlug)({
            id: internalLink.id,
            contentType: internalLink.contentType,
            pageData: internalLink,
            slug: (0, isString_1.isString)(slug) ? slug : ''
        });
        if ((0, isString_1.isString)(res)) {
            return (0, getPermalink_1.getPermalink)(res);
        }
        return '';
    }
    return (0, isString_1.isStringStrict)(externalLink) ? externalLink : '';
};
exports.getLink = getLink;
