"use strict";
/**
 * Utils - Get Permalink
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPermalink = void 0;
/* Imports */
const config_1 = require("../../config/config");
/**
 * Function - get absolute or relative url
 *
 * @param {string} slug
 * @param {boolean} trailingSlash
 * @return {string}
 */
const getPermalink = (slug = '', trailingSlash = true) => {
    let url = '/';
    if (config_1.config.env.prod) {
        url = config_1.config.env.urls.prod;
    }
    return `${url}${slug}${slug !== '' && trailingSlash ? '/' : ''}`;
};
exports.getPermalink = getPermalink;
