"use strict";
/**
 * Utils - Normalize Content Type
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeContentType = void 0;
/* Imports */
const config_1 = require("../../config/config");
const isString_1 = require("../isString/isString");
/**
 * Function - convert to normal content type if available
 *
 * @param {string} contentType
 * @return {string}
 */
const normalizeContentType = (contentType = '') => {
    if (!(0, isString_1.isStringStrict)(contentType)) {
        return '';
    }
    const normalType = config_1.config.normalTypes[contentType];
    if ((0, isString_1.isStringStrict)(normalType)) {
        return normalType;
    }
    return contentType;
};
exports.normalizeContentType = normalizeContentType;
