"use strict";
/**
 * Utils - Undefine Props
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.undefineProps = void 0;
/* Imports */
const isObject_1 = require("../isObject/isObject");
const getObjectKeys_1 = require("../getObjectKeys/getObjectKeys");
/**
 * Function - set property in object or array of objects to undefined
 *
 * @param {object|object[]} obj
 * @param {string[]} props
 * @return {object|object[]}
 */
const undefineProps = (obj, props = []) => {
    if (!(0, isObject_1.isObject)(obj)) {
        return obj;
    }
    const clone = structuredClone(obj);
    (0, getObjectKeys_1.getObjectKeys)(clone).forEach((prop) => {
        const value = clone[prop];
        if (props.includes(prop.toString())) {
            // @ts-expect-error: Type 'undefined' is not assignable to type 'T[keyof T]'
            clone[prop] = undefined;
        }
        else if ((0, isObject_1.isObject)(value)) {
            undefineProps(value, props);
        }
    });
    return clone;
};
exports.undefineProps = undefineProps;
