"use strict";
/**
 * Utils - Get All File Paths
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllFilePaths = void 0;
/* Imports */
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Function - recurse directory to get all file paths in it
 *
 * @param {string} dir
 * @yield {string[]}
 */
const getAllFilePaths = async function* (dir) {
    const files = await (0, promises_1.readdir)(dir, { withFileTypes: true });
    for (const file of files) {
        if (file.isDirectory()) {
            yield* getAllFilePaths((0, node_path_1.join)(dir, file.name));
        }
        else {
            yield (0, node_path_1.join)(dir, file.name);
        }
    }
};
exports.getAllFilePaths = getAllFilePaths;
