"use strict";
/**
 * Utils - Get Json
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJsonFile = exports.getJson = void 0;
/* Imports */
const isObject_1 = require("../isObject/isObject");
/**
 * Function - check and return valid JSON or fallback
 *
 * @param {string} value
 * @return {object|undefined}
 */
const getJson = (value) => {
    try {
        const obj = JSON.parse(value);
        if ((0, isObject_1.isObject)(obj)) {
            return obj;
        }
    }
    catch {
        return undefined;
    }
    return undefined;
};
exports.getJson = getJson;
/**
 * Function - import json file and return contents if object
 *
 * @param {string} path
 * @return {Promise<object|undefined>}
 */
const getJsonFile = async (path) => {
    try {
        const { default: obj } = await Promise.resolve(`${path}`).then(s => __importStar(require(s))); // Removed assert json as not all exports are esnext
        if ((0, isObject_1.isObject)(obj)) {
            return obj;
        }
    }
    catch {
        return undefined;
    }
    return undefined;
};
exports.getJsonFile = getJsonFile;
