"use strict";
/**
 * Utils - Get Path
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPath = void 0;
const config_1 = require("../../config/config");
const isString_1 = require("../isString/isString");
/**
 * Function - get absolute path to file or file from config
 *
 * @param {string} file
 * @param {string} [type]
 * @return {string}
 */
const getPath = (file = '', type = '') => {
    const root = config_1.config.env.dir;
    if (!(0, isString_1.isStringStrict)(root) || !(0, isString_1.isStringStrict)(file)) {
        return '';
    }
    let append = file;
    if (type === 'store') {
        const dir = config_1.config.store.dir;
        const name = config_1.config.store.files[file].name;
        if ((0, isString_1.isStringStrict)(dir) && (0, isString_1.isStringStrict)(name)) {
            append = `${dir}/${name}`;
        }
    }
    if (file === 'image') {
        if (type === 'data') {
            const dataFile = config_1.config.static.image.dataFile;
            if ((0, isString_1.isStringStrict)(dataFile)) {
                append = dataFile;
            }
        }
        if (type === 'input' || type === 'output') {
            const dirName = type === 'input' ? 'inputDir' : 'outputDir';
            const dir = config_1.config.static.image[dirName];
            if ((0, isString_1.isStringStrict)(dir)) {
                append = `${dir}/${file}`;
            }
        }
    }
    if (type === 'serverless') {
        const dir = config_1.config.serverless.dir;
        const name = config_1.config.serverless.files[file];
        if ((0, isString_1.isStringStrict)(dir) && (0, isString_1.isStringStrict)(name)) {
            append = `${dir}/${name}`;
        }
    }
    return `${root}/${append}`;
};
exports.getPath = getPath;
