/**
 * Utils - Is Object
 */
/**
 * Function - check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
declare const isObject: <T>(value: T) => value is object & T;
/**
 * Function - check if value is an object and not array
 *
 * @param {*} value
 * @return {boolean}
 */
declare const isObjectStrict: <T>(value: T) => value is object & Exclude<T, string | number | boolean | Function | string[] | unknown[] | number[] | boolean[] | Function[] | null | undefined>;
export { isObject, isObjectStrict };
