/**
 * Utils - Shortcodes
 */
import type { Shortcode, Shortcodes } from './shortcodesTypes';
/**
 * Function - add shortcode to shortcodes object
 *
 * @param {string} name
 * @param {import('./shortcodesTypes').Shortcode} shortcode
 * @return {boolean}
 */
declare const addShortcode: <T extends Shortcode>(name: string, shortcode: T) => boolean;
/**
 * Function - remove shortcode from shortcodes object
 *
 * @param {string} name
 * @return {boolean}
 */
declare const removeShortcode: (name: string) => boolean;
/**
 * Function - transform content string with shortcode callbacks
 *
 * @param {string} content
 * @return {Promise<string>}
 */
declare const doShortcodes: (content: string) => Promise<string>;
/**
 * Function - empty shortcodes object
 *
 * @return {void}
 */
declare const resetShortcodes: () => void;
/**
 * Function - fill shortcodes object
 *
 * @param {import('./shortcodesTypes').Shortcodes} args
 * @return {boolean}
 */
declare const setShortcodes: <T extends Shortcodes>(args: T) => boolean;
/**
 * Function - remove shortcodes from string
 *
 * @param {string} content
 * @return {string}
 */
declare const stripShortcodes: (content: string) => string;
export { addShortcode, removeShortcode, doShortcodes, resetShortcodes, setShortcodes, stripShortcodes };
