"use strict";
/**
 * Utils - Write Redirects File
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeRedirectsFile = void 0;
/* Imports */
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
const config_1 = require("../../config/config");
/**
 * Function - write redirects file from config redirects array
 *
 * @return {Promise<void>}
 */
const writeRedirectsFile = async () => {
    try {
        const redirects = config_1.config.redirects.data;
        const path = (0, node_path_1.resolve)(config_1.config.redirects.file);
        let redirectsData = '';
        if (redirects.length > 0) {
            redirects.forEach((r) => {
                redirectsData += `${r}\n`;
            });
        }
        await (0, promises_1.writeFile)(path, redirectsData);
        console.info(config_1.config.console.green, `[SSF] Successfully wrote ${path}`);
    }
    catch (error) {
        console.error(config_1.config.console.red, '[SSF] Error writing redirects file: ', error);
    }
};
exports.writeRedirectsFile = writeRedirectsFile;
