/**
 * Config
 */
import type { Config, ConfigSet, ConfigSetFilter } from './configTypes';
/**
 * Default options
 *
 * @type {import('./configTypes').Config}
 */
declare let config: Config;
/**
 * Function - update default config with user options
 *
 * @type {import('./configTypes').ConfigSet}
 */
declare const setConfig: ConfigSet;
/**
 * Function - update config based on env variables
 *
 * @type {import('./configTypes').ConfigSetFilter}
 */
declare const setConfigFilter: ConfigSetFilter;
export { config, setConfig, setConfigFilter };
